<?xml version="1.0"?>
<block>
  <name>Polyphase Rotator</name>
  <key>marmote3_polyphase_rotator_vcc</key>
  <category>[marmote3]</category>
  <import>import marmote3</import>
  <make>marmote3.polyphase_rotator_vcc($vlen, $map, $stride)</make>
  <param>
    <name>Vector Length</name>
    <key>vlen</key>
    <value>4</value>
    <type>int</type>
  </param>
  <param>
    <name>Stride</name>
    <key>stride</key>
    <value>0</value>
    <type>int</type>
  </param>
  <param>
    <name>Channel Map</name>
    <key>map</key>
    <type>int_vector</type>
  </param>
  <sink>
    <name>in</name>
    <type>complex</type>
    <vlen>len($map)</vlen>
  </sink>
  <source>
    <name>out</name>
    <type>complex</type>
    <vlen>len($map)</vlen>
  </source>
</block>
